#ifndef BOTAPP_H
#define BOTAPP_H

#include "mainwindow.h"
#include "socketirc.h"
#include "ircbot.h"
#include <QApplication>

class BotApp
{
    bool nogui = false;
    QString server = "irc.freenode.net";
    int port = 6667;
    QString nick = "SparrowBotDebug";
    QString chan = "epicsparrow";

    SocketIRC* sock;
    IRCBot* bot;
    QCoreApplication* coreApp;
    MainWindow* window;

public:
    BotApp(int argc, char** argv);
    ~BotApp();
    int exec();
};

#endif // BOTAPP_H
